Subject: Re: Mercurial 0.4b vs git patchbomb benchmark

From: Bill Davidsen <[email-masked]>
Date: Tue, 03 May 2005 13:40:08 -0400

[email-masked] wrote:
> On Mon, 02 May 2005 11:49:32 EDT, Bill Davidsen said:
> 
>>Andrea Arcangeli wrote:
>>
>>>On Fri, Apr 29, 2005 at 01:39:59PM -0700, Matt Mackall wrote:
> 
> 
>>>-#!/usr/bin/python
>>>+#!/usr/bin/env python
>>> #
>>> # mercurial - a minimal scalable distributed SCM
>>> # v0.4b "oedipa maas"
>>
>>Could you explain why this is necessary or desirable? I looked at what 
>>env does, and I am missing the point of duplicating bash normal 
>>behaviour regarding definition of per-process environment entries.
> 
> 
> Most likely, his python lives elsewhere than /usr/bin, and the 'env' call
> results in causing a walk across $PATH to find it....

Assuming that he has env in a standard place... I hope this isn't going 
to start some rash of efforts to make packages run on non-standard 
toolchains, which add requirements for one tool to get around 
misplacement of another.

-- 
    -bill davidsen ([email-masked])
"The secret to procrastination is to put things off until the
  last possible moment - but no longer"  -me